CVE-2024-32875

NameCVE-2024-32875
DescriptionHugo is a static site generator. Starting in version 0.123.0 and prior to version 0.125.3, title arguments in Markdown for links and images not escaped in internal render hooks. Hugo users who are impacted are those who have these hooks enabled and do not trust their Markdown content files. The issue is patched in v0.125.3. As a workaround, replace the templates with user defined templates or disable the internal templates.
SourceCVE (at NVD; CERT, LWN, oss-sec, fulldisc, Red Hat, Ubuntu, Gentoo, SUSE bugzilla/CVE, GitHub advisories/code/issues, web search, more)

Vulnerable and fixed packages

The table below lists information on source packages.

Source PackageReleaseVersionStatus
hugo (PTS)buster0.55.6+really0.54.0-1fixed
buster (security)0.55.6+really0.54.0-1+deb10u1fixed
bullseye0.80.0-6fixed
bookworm0.111.3-1fixed
trixie0.124.1-1vulnerable
sid0.126.1-1fixed

The information below is based on the following data on fixed versions.

PackageTypeReleaseFixed VersionUrgencyOriginDebian Bugs
hugosourcebuster(not affected)
hugosourcebullseye(not affected)
hugosourcebookworm(not affected)
hugosource(unstable)0.125.4-1

Notes

[bookworm] - hugo <not-affected> (Vulnerable code not present)
[bullseye] - hugo <not-affected> (Vulnerable code not present)
[buster] - hugo <not-affected> (Vulnerable code not present)
https://github.com/gohugoio/hugo/security/advisories/GHSA-ppf8-hhpp-f5hj

Search for package or bug name: Reporting problems